import cv2 as cv

print("face_detector")
vid_cap = cv.VideoCapture(0)
vid_cap.set(cv.CAP_PROP_FRAME_WIDTH, 1280)
vid_cap.set(cv.CAP_PROP_FRAME_HEIGHT, 720)
face_cascade = cv.CascadeClassifier("haarcascades/haarcascade_frontalface_default.xml")
cv.namedWindow("face")
num_frame = 0
while True:
    num_frame += 1
    print("num_frame", num_frame)
    ret, frame = vid_cap.read()
    frame_paint = frame.copy()
    faces = face_cascade.detectMultiScale(frame, scaleFactor=1.1, minNeighbors=5)

    # print("faces", faces)
    for one_face in faces:
        cv.rectangle(frame_paint, one_face, (255, 255, 255), 10)
        cv.rectangle(frame_paint, one_face, (0, 255, 0), 2)

    cv.imshow("face", frame_paint)
    if cv.waitKey(2) == 27:
        break
